Debian Bug report logs - #659779
expeyes: doesn't use invoke-rc.d

version graph

Package: expeyes; Maintainer for expeyes is Georges Khaznadar <georgesk@debian.org>; Source for expeyes is src:expeyes.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Mon, 13 Feb 2012 18:00:01 UTC

Severity: serious

Found in version expeyes/2.0.0-1

Fixed in version expeyes/2.0.0-2

Done: Jonathan Wiltshire <jmw@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#659779; Package expeyes. (Mon, 13 Feb 2012 18:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Georges Khaznadar <georgesk@ofset.org>. (Mon, 13 Feb 2012 18:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: expeyes: doesn't use invoke-rc.d
Date: Mon, 13 Feb 2012 18:57:07 +0100
[Message part 1 (text/plain, inline)]
Package: expeyes
Version: 2.0.0-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package starts processes
where it shouldn't. This is very probably due to not using invoke-rc.d
as mandated by policy 9.3.3.2. This is seriously disturbing! ;-)

See http://www.debian.org/doc/debian-policy/ch-opersys.html#s9.3.3
and /usr/share/doc/sysv-rc/README.invoke-rc.d.gz as well
as /usr/share/doc/sysv-rc/README.policy-rc.d.gz

>From the attached log (scroll to the bottom...):

  Selecting previously unselected package expeyes.
  (Reading database ... 14017 files and directories currently installed.)
  Unpacking expeyes (from .../expeyes_2.0.0-1_all.deb) ...
  Setting up expeyes (2.0.0-1) ...
  udev requires a mounted sysfs, not started ... failed!
   failed!
  dpkg: error processing expeyes (--configure):
   subprocess installed post-installation script returned error exit status 1
  configured to not write apport reports
  Errors were encountered while processing:
   expeyes


expeyes.postinst uses the 'service' command instead of 'invoke-rc.d' and
disrespects policy-rc.d that way, trying to start udev in a chroot ...



cheers,
 
Andreas
[expeyes_2.0.0-1.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#659779; Package expeyes. (Tue, 14 Feb 2012 19:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georges Khaznadar <georges.khaznadar@free.fr>:
Extra info received and forwarded to list. Copy sent to Georges Khaznadar <georgesk@ofset.org>. (Tue, 14 Feb 2012 19:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 659779@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georges.khaznadar@free.fr>
To: Andreas Beckmann <debian@abeckmann.de>, 659779@bugs.debian.org
Subject: Re: Bug#659779: expeyes: doesn't use invoke-rc.d
Date: Tue, 14 Feb 2012 19:16:40 +0000
[Message part 1 (text/plain, inline)]
Hello Andreas, thank you for the bugreport.

I already noticed the misbehavior of expeyes, when I tried to install it
in a chroot, but I ignored that the solution was as simple as the one you
hinted me.

I fix the bug shortly.

Best regards,			Georges.

Andreas Beckmann a écrit :
> Package: expeyes
> Version: 2.0.0-1
> Severity: serious
> User: debian-qa@lists.debian.org
> Usertags: piuparts
> 
> Hi,
> 
> during a test with piuparts I noticed your package starts processes
> where it shouldn't. This is very probably due to not using invoke-rc.d
> as mandated by policy 9.3.3.2. This is seriously disturbing! ;-)
> 
> See http://www.debian.org/doc/debian-policy/ch-opersys.html#s9.3.3
> and /usr/share/doc/sysv-rc/README.invoke-rc.d.gz as well
> as /usr/share/doc/sysv-rc/README.policy-rc.d.gz
> 
> >From the attached log (scroll to the bottom...):
> 
>   Selecting previously unselected package expeyes.
>   (Reading database ... 14017 files and directories currently installed.)
>   Unpacking expeyes (from .../expeyes_2.0.0-1_all.deb) ...
>   Setting up expeyes (2.0.0-1) ...
>   udev requires a mounted sysfs, not started ... failed!
>    failed!
>   dpkg: error processing expeyes (--configure):
>    subprocess installed post-installation script returned error exit status 1
>   configured to not write apport reports
>   Errors were encountered while processing:
>    expeyes
> 
> 
> expeyes.postinst uses the 'service' command instead of 'invoke-rc.d' and
> disrespects policy-rc.d that way, trying to start udev in a chroot ...
> 
> 
> 
> cheers,
>  
> Andreas


[signature.asc (application/pgp-signature, inline)]

Reply sent to Georges Khaznadar <georgesk@ofset.org>:
You have taken responsibility. (Wed, 15 Feb 2012 19:06:22 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Wed, 15 Feb 2012 19:06:22 GMT) Full text and rfc822 format available.

Message #15 received at 659779-close@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georgesk@ofset.org>
To: 659779-close@bugs.debian.org
Subject: Bug#659779: fixed in expeyes 2.0.0-2
Date: Wed, 15 Feb 2012 19:02:26 +0000
Source: expeyes
Source-Version: 2.0.0-2

We believe that the bug you reported is fixed in the latest version of
expeyes, which is due to be installed in the Debian FTP archive:

expeyes-doc-en_2.0.0-2_all.deb
  to main/e/expeyes/expeyes-doc-en_2.0.0-2_all.deb
expeyes-doc-fr_2.0.0-2_all.deb
  to main/e/expeyes/expeyes-doc-fr_2.0.0-2_all.deb
expeyes-firmware-dev_2.0.0-2_all.deb
  to main/e/expeyes/expeyes-firmware-dev_2.0.0-2_all.deb
expeyes_2.0.0-2.debian.tar.gz
  to main/e/expeyes/expeyes_2.0.0-2.debian.tar.gz
expeyes_2.0.0-2.dsc
  to main/e/expeyes/expeyes_2.0.0-2.dsc
expeyes_2.0.0-2_all.deb
  to main/e/expeyes/expeyes_2.0.0-2_all.deb
python-expeyes_2.0.0-2_all.deb
  to main/e/expeyes/python-expeyes_2.0.0-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659779@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Georges Khaznadar <georgesk@ofset.org> (supplier of updated expeyes package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Feb 2012 19:16:58 +0000
Source: expeyes
Binary: expeyes expeyes-firmware-dev python-expeyes expeyes-doc-en expeyes-doc-fr
Architecture: source all
Version: 2.0.0-2
Distribution: unstable
Urgency: low
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Changed-By: Georges Khaznadar <georgesk@ofset.org>
Description: 
 expeyes    - hardware & software framework for developing science experiments
 expeyes-doc-en - User manual for expeyes library, in English language
 expeyes-doc-fr - User manual for expeyes library, French translation
 expeyes-firmware-dev - hardware & software framework for developing science experiments
 python-expeyes - Python library for expeyes
Closes: 659779
Changes: 
 expeyes (2.0.0-2) unstable; urgency=low
 .
   * fixed the problem with restarting udev. Closes: #659779
Checksums-Sha1: 
 c92a9ba3fbf7f4a4a009ee9e4b5b0edee2ce7d37 1384 expeyes_2.0.0-2.dsc
 0d15ef16b1b19ffbbe7b0e4f1b4ad0fe92b3bbe1 134796 expeyes_2.0.0-2.debian.tar.gz
 527df520b91c20d073d629dfcc63fd75dd33f9d6 477176 expeyes_2.0.0-2_all.deb
 954d9f0b82a4db14841270371fa830c94de4424f 11908 expeyes-firmware-dev_2.0.0-2_all.deb
 c2380766b98c12a3a912f994d55129bfeb194beb 20152 python-expeyes_2.0.0-2_all.deb
 5bfb9ce05e0b2dd429e46c06518dfe0d2fc00d03 2985100 expeyes-doc-en_2.0.0-2_all.deb
 2e6588e2b7753fc38a30be60be1b5df18fdbc41b 10185274 expeyes-doc-fr_2.0.0-2_all.deb
Checksums-Sha256: 
 e0bb8c6ff08652d5bc1e5ef546622333ba27cb51e929cf1c3deb97571a082491 1384 expeyes_2.0.0-2.dsc
 2d24514cb44e5319534d74da16380e6e5c32ab9af317bd176108adf3cba447d0 134796 expeyes_2.0.0-2.debian.tar.gz
 c32fbd04855ae32caa2727d08c7eef41db0f4225c4d0da2b8b0d7ec16bae6a5c 477176 expeyes_2.0.0-2_all.deb
 dd7da2c12a8ac43d7f9acd6d27cf6a3e680a7631e64f80e7c65ede358397baeb 11908 expeyes-firmware-dev_2.0.0-2_all.deb
 96935425707b68ec3df2e75c5a454ab533c03f7b1e0314e71e47a510ad26d5cd 20152 python-expeyes_2.0.0-2_all.deb
 a33d9f1309dc36c1ec48e7d685e34e8c72c1a6c2933de5576b7df19a3b53fc3c 2985100 expeyes-doc-en_2.0.0-2_all.deb
 1dbf79feac9edac2f90c1188abad6bf7bacea88c74a9ed95000c0bdc113a9a80 10185274 expeyes-doc-fr_2.0.0-2_all.deb
Files: 
 7f83ca65ee43c4172f04678db6e193d3 1384 science extra expeyes_2.0.0-2.dsc
 06759033edfce3802af1a96414d26ffb 134796 science extra expeyes_2.0.0-2.debian.tar.gz
 26806822fca999331bb3a90d77853ad7 477176 science extra expeyes_2.0.0-2_all.deb
 962ca23eaf299d67a0d8f708b13b38ba 11908 devel extra expeyes-firmware-dev_2.0.0-2_all.deb
 92f4dfa7ed9a07d0c01c2d70fbcff3af 20152 python extra python-expeyes_2.0.0-2_all.deb
 de2dd2dbe1e6c62dcd384eaadda32997 2985100 doc extra expeyes-doc-en_2.0.0-2_all.deb
 049c5c932e5983b469723f31617631aa 10185274 doc extra expeyes-doc-fr_2.0.0-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFPO/b2nfmb2hFpETARAk/9AJ9ZiC8SEA0D66MM+0X2Q8kzD/cdCACdF7L3
vYUzYuaRRfgDjM+C20tKZqI=
=XxQD
-----END PGP SIGNATURE-----





Bug Marked as found in versions expeyes/2.0.0-2; no longer marked as fixed in versions expeyes/2.0.0-2 and reopened. Request was from piuparts master <piupartsm@piatti.debian.org> to control@bugs.debian.org. (Mon, 27 Feb 2012 14:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#659779; Package expeyes. (Fri, 02 Mar 2012 09:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georges Khaznadar <georges.khaznadar@free.fr>:
Extra info received and forwarded to list. Copy sent to Georges Khaznadar <georgesk@ofset.org>. (Fri, 02 Mar 2012 09:21:17 GMT) Full text and rfc822 format available.

Message #22 received at 659779@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georges.khaznadar@free.fr>
To: piuparts master <piupartsm@piatti.debian.org>
Cc: 659779@bugs.debian.org
Subject: Re: Processed: found 659779 in 2.0.0-2
Date: Fri, 2 Mar 2012 09:19:29 +0000
[Message part 1 (text/plain, inline)]
Hello Piuparts master,

can you document how you found bug #659779 again in exepeyes, version
2.0.0.-2 ?

The postinst script was actually changed between 2.0.0-1 and 2.0.0-2
to use invoke-rc.d, and installing the package expeyes in a chroot
is now possible without the hangup previously reported. Here are the
last lines generated by the command "apt-get install expeyes" launched
inside a chroot made by "pbuilder login":

  Setting up python-expeyes (2.0.0-2) ...
  Setting up expeyes (2.0.0-2) ...
  ************************************
  All rc.d operations denied by policy
  ************************************
  invoke-rc.d: policy-rc.d denied execution of restart.
  Processing triggers for python-support ...

This is the intended behavior, isn't it?

So, if you want to let bugreport #659779 raised, please give some
rationale.

Best regards,			Georges.

Debian Bug Tracking System a écrit :
> Processing commands for control@bugs.debian.org:
> 
> > found 659779 2.0.0-2
> Bug #659779 {Done: Georges Khaznadar <georgesk@ofset.org>} [expeyes] expeyes: doesn't use invoke-rc.d
> Bug Marked as found in versions expeyes/2.0.0-2; no longer marked as fixed in versions expeyes/2.0.0-2 and reopened.
> > thanks
> Stopping processing here.
> 
> Please contact me if you need assistance.
> -- 
> 659779: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=659779
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems
> 
[signature.asc (application/pgp-signature, inline)]

Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Sat, 03 Mar 2012 21:08:07 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 21:08:30 GMT) Full text and rfc822 format available.

Message #27 received at 659779-done@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: Georges Khaznadar <georges.khaznadar@free.fr>, 659779-done@bugs.debian.org
Subject: Re: Bug#659779: Processed: found 659779 in 2.0.0-2
Date: Sat, 3 Mar 2012 21:04:22 +0000
[Message part 1 (text/plain, inline)]
Version: 2.0.0-2

Hi,

On Fri, Mar 02, 2012 at 09:19:29AM +0000, Georges Khaznadar wrote:
> Hello Piuparts master,
> 
> can you document how you found bug #659779 again in exepeyes, version
> 2.0.0.-2 ?

expeyes 2.0.0-2 installs nicely in a chroot and piuparts reports no
problems, so re-closing this bug as part of the Cambridge BSP.


-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits
[signature.asc (application/pgp-signature, inline)]

No longer marked as found in versions expeyes/2.0.0-2. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Sun, 03 Jun 2012 10:09:35 GMT) Full text and rfc822 format available.

Marked as fixed in versions expeyes/2.0.0-2; no longer marked as fixed in versions 2.0.0-2. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Sun, 03 Jun 2012 10:09:35 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Jul 2012 07:41:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:43:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.